
Redmine - Feature #17469

Add percentage done of project's version to Version#index API response

2014-07-15 17:13 - Jorge S.

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Adding this:

api.completed_percent version.completed_percent.to_i

On /app/views/versions/index.api.rsb did the trick.

This is something useful in my case because I developed some mercurial hooks to ensure that the version is completed before

tagging the release.

History

#1 - 2014-07-15 17:14 - Jorge S.

I did this 8 months ago, and I don't see it in the new releases' changelog

#2 - 2014-07-16 14:12 - Jan Niggemann (redmine.org team member)

- Due date set to 2014-07-23

- Status changed from New to Needs feedback

Jorge Sivil wrote:

I did this 8 months ago, and I don't see it in the new releases' changelog

 Do I understand correctly: You posted a patch here on the trackers and are waiting for it to be included in a redmine release?

If so, please reference the issue number.

#3 - 2014-08-31 23:16 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

#4 - 2015-02-14 06:55 - Mischa The Evil

- Subject changed from Add percentage done on project's version to Add percentage done of project's version to Version#index API response

- Due date deleted (2014-07-23)

- Category changed from Roadmap to REST API

- Status changed from Closed to Reopened

- Resolution deleted (No feedback)

The request of the OP is to add the version progress (as calculated by Version#completed_percent) to the version index action API response. This is

not implemented yet (see source:/trunk/app/views/versions/index.api.rsb@13998).

Regarding the request: I think that if the property is added to the index response, it should be included in the show response also.

#5 - 2015-02-14 09:27 - Jean-Philippe Lang

I think we can add this to the #show response only as the OP wants to check the completion of a version.

Adding this to #index would slow down responses noticeably.

#6 - 2015-02-14 10:01 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/13998/entry/trunk/app/views/versions/index.api.rsb


But we can't get a single version by its name, #index needs to be called here.

Maybe we can add a include_completed_percent option to have this attribute in the response?
